Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 360621 - =app-emulation/xen{,-tools,-pvgrub}-4.1.1 please stabilize
Summary: =app-emulation/xen{,-tools,-pvgrub}-4.1.1 please stabilize
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo Xen Devs
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: gcc-4.5-stable
  Show dependency tree
 
Reported: 2011-03-26 18:42 UTC by Kacper Kowalik (Xarthisius) (RETIRED)
Modified: 2012-02-24 22:20 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2011-03-26 18:42:13 UTC
Required for gcc-4.5 stabilization wrt bug 323545
Comment 1 Florian Schmaus 2011-04-04 18:12:49 UTC
Duplicate of Bug 144994 ?
Comment 2 Tony Vroon gentoo-dev 2011-09-18 13:16:01 UTC
Arches, please test & mark stable 4.1.1-r1, target keywords "AMD64 X86".
Comment 3 Ian Delaney (RETIRED) gentoo-dev 2011-09-18 13:23:53 UTC
xen-4.1.1 provides for packages xen, xen-tools and xen-pvgrub
If you observe the work dir, all 3 packages unpack xen-4.1.1 from which thee options are built.
emerge xen xen-tools xen-pvgrub
Comment 4 Tony Vroon gentoo-dev 2011-09-18 13:32:11 UTC
I am now told that there is a security stabilisation pending for 4.1.1-r2 when it reaches the tree. As such, consider this cancelled. My apologies for the bug spam.
Comment 5 Ian Delaney (RETIRED) gentoo-dev 2011-09-21 07:22:13 UTC
Fixes #379241 in the tree, also done for current stable xen-3.4.2.
#379815 also fixed.
Comment 6 Agostino Sarubbo gentoo-dev 2011-09-21 09:30:44 UTC
We will continue in security bug fox xen-3
Comment 7 Ian Delaney (RETIRED) gentoo-dev 2011-09-21 18:04:50 UTC
dealing with the fix for the revised xen-tools-3.4.2 will continue in security bug 379241

Arches, please test & mark stable;

app-emulation/xen-4.1.1-r2,
app-emulation/xen-tools-4.1.1-r5,
app-emulation/xen-pvgrub-4.1.1-r1

target keywords "AMD64 X86"
Comment 8 Agostino Sarubbo gentoo-dev 2011-09-24 23:08:16 UTC
Not needed to have this stable with all bugs that there are around. Please fix _first_ all bugs related to xen-3 reproducible with xen-4 that I've found: 

https://bugs.gentoo.org/buglist.cgi?list_id=447801;short_desc=xen;field0-0-0=reporter;resolution=---;query_format=advanced;bug_status=CONFIRMED;short_desc_type=allwordssubstr;type0-0-0=equals;value0-0-0=ago%40autistici.org

Thanks
Comment 9 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-09-25 01:46:40 UTC
x86 stable
Comment 10 Ian Delaney (RETIRED) gentoo-dev 2011-10-03 07:35:55 UTC
(In reply to comment #8)
> Not needed to have this stable with all bugs that there are around. Please fix
> _first_ all bugs related to xen-3 reproducible with xen-4 that I've found: 
> 
> https://bugs.gentoo.org/buglist.cgi?list_id=447801;short_desc=xen;field0-0-0=reporter;resolution=---;query_format=advanced;bug_status=CONFIRMED;short_desc_type=allwordssubstr;type0-0-0=equals;value0-0-0=ago%40autistici.org
> 
> Thanks

All the above are resolved, the one for use doc in 3.4.2 still needs committing.
3.4.2 is quite separate to 4.1.1.  
Has no outstanding blockers.
Comment 11 Ian Delaney (RETIRED) gentoo-dev 2011-10-09 17:41:31 UTC
amd664: a start;

>>> app-emulation/xen-4.1.1-r2 merged.
>>> app-emulation/xen-tools-4.1.1-r5 merged.
>>> Merging app-emulation/xen-pvgrub-4.1.1-r1 to

shall see to getting some of the prior fixes added to 4.1.1
Comment 12 Elijah "Armageddon" El Lazkani (amd64 AT) 2011-10-25 02:44:17 UTC
amd64: emerge pass.

NB: a wide list of QA notices are given.
Comment 13 Ian Delaney (RETIRED) gentoo-dev 2011-10-27 04:06:45 UTC
Some copy patches from xen-3 have been put into xen-4 re calling gcc and ld.
(One to go for xen-4.1.1-r2).

The QA issue I found in xen-pvgrub looks as though it's harmless.
* QA Notice: command not found:
 *
 *      /var/tmp/portage/portage/app-emulation/xen-pvgrub-4.1.2/temp/environment: line 2272: get_abi_ASFLAGS: command not found
is apparently an eclass bug.* QA Notice: command not found:
 *

appears to be an eclass bug.  https://bugs.gentoo.org/388629.
The other content all relate to path issues that are for upstream.
Comment 14 Elijah "Armageddon" El Lazkani (amd64 AT) 2011-10-27 16:48:59 UTC
alright then, it is upstream QA notices. The packages emerge fine.
Comment 15 Tony Vroon gentoo-dev 2011-11-01 10:19:17 UTC
+  01 Nov 2011; Tony Vroon <chainsaw@gentoo.org> xen-tools-4.1.1-r6.ebuild:
+  Marked stable on AMD64 based on arch testing by Elijah "Armageddon" El
+  Lazkani & Ian "idella4" Delaney in bug #360621.

+  01 Nov 2011; Tony Vroon <chainsaw@gentoo.org> xen-4.1.1-r2.ebuild:
+  Marked stable on AMD64 based on arch testing by Elijah "Armageddon" El
+  Lazkani & Ian "idella4" Delaney in bug #360621.

+  01 Nov 2011; Tony Vroon <chainsaw@gentoo.org> xen-pvgrub-4.1.1-r1.ebuild:
+  Marked stable on AMD64 based on arch testing by Elijah "Armageddon" El
+  Lazkani & Ian "idella4" Delaney in bug #360621.